Get Loyalty Rules
Retrieve configured loyalty rules with optional pagination and filters
Retrieve configured loyalty rules with optional pagination and filters
Authorizations
API key passed in the header.
Query Parameters
Unique identifier for the organization to filter by
Unique identifier for the website to filter by
Address of the collection to filter by
ID(s) of the loyalty rule group(s) to filter results. Single ID or array for multiple groups (shared cursor when multiple).
Pagination cursor to start after a specific resource ID
Maximum number of records to return (max 100)
x >= 1, x <= 10010The IDs of the loyalty rule
If true this will only return active rules, the rules for which the startTime is in the past and the endTime is in the future
"true" | "false"IDs of the users to filter results by
ID of the user group to filter results by
If true this will only return special rules, special rules are the rules that are used for anti sybil as honey pot
"true" | "false"Whether to include deleted/archived records
falseResponse
200
dataarray<object>requireddata.idstring<uuid>requiredUnique identifier for the loyalty rule
data.namestringrequiredName of the loyalty rule
data.descriptionstringrequiredDescription of the loyalty rule
data.endTimestringrequiredEnd time of the loyalty rule
data.startTimestringrequiredStart time of the loyalty rule
data.rewardType"points" | "multiplier" | "badge" | "token"requiredType of the reward
"points" | "multiplier" | "badge" | "token"data.organizationIdstring<uuid>requiredUnique identifier for the organization
data.websiteIdstring<uuid>requiredUnique identifier for the website
data.collectionAddressstringOptional address of the collection
data.typestringrequiredType of the loyalty rule
data.frequencystringrequiredFrequency of the loyalty rule
data.amountnumberrequiredAmount associated with the loyalty rule
data.createdAtstring<date-time>requiredTimestamp when the loyalty rule was created
data.updatedAtstring<date-time>requiredTimestamp when the loyalty rule was last updated
data.deletedAtstring<date-time>requiredTimestamp when the loyalty rule was deleted (if applicable)
data.mediaUrlstringURL of the media associated with the loyalty rule
data.metadataobjectOptional metadata for the loyalty rule
data.dappDeployedWithin"daily" | "weekly" | "monthly"Filter dApps by deployment age before ranking.
"daily" | "weekly" | "monthly"data.dappDataWindow"daily" | "weekly" | "monthly"Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
"daily" | "weekly" | "monthly"data.trackProgressbooleanFlag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.
data.progressType"counter" | "percentage"How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.
"counter" | "percentage"data.loyaltyRuleChainarray<object>requiredChains attached to the loyalty rule
hasNextPagebooleanrequired